/**
 * Created by petry_000 on 12.11.2016.
 */
angular.module('SolvIn')
    .value('PureBeing', {
        id: 'PureBeing',
        name: 'Чистое бытие',
        words: ['есть', 'чистое', 'бытие'],
        facts: [{
            title: 'Есть', description: `Про всё можно сказать, что оно есть, хотя бы в виде слова.`
        }, {
            title: 'Бытие', description: `Всё, что есть - есть бытие.`
        }, {
            title: 'Чистое бытие',
            description: `Самое простое бытие, то есть бытие без всякой дальнейшей определённости, абстракция.`
        }, {
            title: 'Оно есть',
            description: `Кроме того, что <strong>чистое&nbsp;бытие</strong> есть, <strong>ничего</strong> о нём сказать нельзя.`
        }, {
            title: `Слово о ничто`,
            description: `Если о чистом бытии более нельзя сказать ничего, то как это <strong>ничего</strong> назвать?`,
            actions: [{name: 'Ничто', value: `PureNothing`}]
        }]
    })
    .value('PureNothing', {
        id: 'PureNothing',
        name: 'Чистое ничто',
        words: ['чистое', 'ничто'],
        facts: [{
            title: 'Чистое ничто',
            description: 'Ничто чистого бытия, абстракции, есть абстрактное, <strong>чистое&nbsp;ничто</strong>.'
        }, {
            title: 'Переход',
            description: `Обсуждая понятие <strong>чистое&nbsp;бытие</strong> диалектически перешли к понятию <strong>чистое&nbsp;ничто</strong>.<br/><strong>Чистое бытие переходит в чистое ничто.</strong>`
        }, {
            title: 'Оно есть',
            description: `Чистое ничто есть, значит оно бытие. Если говорить диалектически: &laquo;переходит в бытие&raquo;. <br/> Но какое бытие?`
        }, {
            title: 'Бытие',
            description: `То бытие, которое мы вначале брали, было чистое бытие, а сейчас мы <strong>возвращаемся</strong> к бытию, то есть <strong>бытие</strong> содержит в себе ещё что-то, оно уже не чистое.`
        }, {
            title: 'Ничто',
            description: `Чистое бытие переходило в чистое ничто, а бытие переходит в ничто.`,
            actions: [{name: 'Становление', value: 'Becoming'}]
        }]
    })
    .value("Becoming", {
        id: "Becoming",
        name: 'Становление',
        words: ['становление', 'движение', 'моменты'],
        facts: [
            {
                title: 'Исчезновение',
                description: `Бытие перешло в ничто, то есть бытие исчезло в ничто. Так же ничто исчезло в бытии.`
            }, {
                title: 'Становление',
                description: `<strong>Становление</strong> это движение исчезновения бытия в ничто и
ничто в бытии.`
            }, {
                title: 'Истинная категория',
                description: `Становление это истинная категория, потому что в нём содержится бытие и ничто в движении, что соответствует реальности. Нигде в реальности нет вечного неисчезающего бытия, и нигде в реальности нет ничто отдельно, без того, чтобы оно становилось бытием.`
            }, {
                title: 'Движение',
                description: `В любой момент всё находится в движении от бытия к ничто и от ничто к бытию. В этом движении есть два противоположных движения, которые называют <strong>моменты</strong>.`,
                actions: [{name: 'Прехождение', value: 'Passing'}, {name: 'Возникновение', value: 'Uprising'}]
            },
        ]
    })
    .value("Passing", {
        id: "Passing",
        name: 'Прехождение',
        words: ['прехождение', 'из бытия', 'в ничто'],
        facts: [{
            title: 'Прехождение',
            description: 'Переход бытия в ничто называется прехождением. Было, а потом исчезло.'
        }, {
            title: 'Связь с бытием',
            description: 'Прехождение это и есть бытие, но как <strong>переходящее в ничто</strong>.'
        }, {
            title: 'Противоположный момент',
            description: 'Момент становления противоположный прехождению это возникновение.',
            actions: [{name: 'Возникновение', value: 'Uprising'}]
        }]
    })
    .value("Uprising", {
        id: "Uprising",
        name: 'Возникновение',
        words: ['возникновение', 'из ничто', 'в бытие'],
        facts: [{
            title: 'Возникновение',
            description: 'Переход ничто в бытие называется возникновением. Не было, и вдруг появилось.'
        }, {
            title: 'Связь с ничто',
            description: 'Возникновение – это и есть ничто, но как <strong>переходящее в бытие</strong>.'
        }, {
            title: 'Противоположный момент',
            description: 'Момент становления противоположный возникновению это прехождение.',
            actions: [{name: 'Прехождение', value: 'Passing'}]
        }, {
            title: 'Снятие',
            description: `Бытие и ничто стремятся превратиться друг в друга. Их разность в становлении исчезает, значит, исчезает и само становление. Это действие, которое состоит в том, что само становление себя сняло,
называется снятием.<br/><strong>Снятие — это отрицание с удержанием</strong>. Становление становится <strong>ставшим</strong>.`,
            actions: [{name: 'Ставшее', value: 'ExtantBeing'}]
        }]
    })
    .value("ExtantBeing", {
        id: "ExtantBeing",
        name: 'Наличное бытие',
        words: ['наличное', 'бытие', 'ставшее'],
        subs: ['Ставшее'],
        facts: [{
            title: 'Ставшее',
            description: `Cтановление это движение объединяющее бытие и ничто, Гегель называл становление также <strong>беспокойное единство</strong>. Ставшее, как снятие становления, отрицает и движение и объединение. Не беспокойное это <strong>спокойное</strong>. Не единство (нескольких) это простота (одного). <br/> Таким образом, <strong>ставшее это спокойная простота</strong>.`
        }, {
            title: 'Оно есть',
            description: 'Ставшее есть, значит это бытие. Какое бытие? То, которое стало результатом снятия становления. '
        }, {
            title: 'Наличное бытие',
            description: 'Такое бытие, которое является результатом снятия становления (ставшим), называется <strong>наличным бытием</strong>, то есть, оно налицо. Совершён переход от бытия к новому, наличному бытию через становление. И новое бытие это не совершенно новое бытие, а продолжение предыдущего бытия.'
        }, {
            title: 'Результат снятия',
            description: `Наличное бытие является результатом снятия становления, значит, наличное бытие содержит в себе становление, в котором объединены бытие и ничто. <br/>Бытие стало наличным бытием, но ничто так же сохранилось в наличном бытии.`,
            actions: [{name: 'Небытие', value: 'Nihility'}]
        }]
    })
    .value('Nihility', {
        id: 'Nihility',
        name: 'Небытие',
        words: ['небытие', 'определённость'],
        subs: ['Определённость'],
        facts: [{
            title: 'Небытие',
            description: `Ничто в наличном бытии, взятое из снятого становления, называется <strong>небытие</strong>.`
        }, {
            title: 'Связь с наличным бытием',
            description: 'Рассматривая наличное бытие, нашли в нём небытие. Если это небытие рассмотреть отдельно, не забывая, что оно было в конкретном наличном бытии, получим <strong>определённость</strong>.'
        }, {
            title: 'Определённость',
            description: `Небытие, принятое в бытие так, что конкретное целое имеет форму бытия, называется <strong>определенностью</strong> наличного бытия.<br/>В чём нет небытия, то не о<strong>предел</strong>ено, абсолютно. Рассмотрим определённость отдельно от бытия.`,
            actions: [{name: 'Качество', value: 'Quality'}]
        }]
    })
    .value('Quality', {
        id: 'Quality',
        name: 'Качество',
        words: ['качество', 'реальность', 'отрицание'],
        subs: ['Реальность', 'Отрицание'],
        facts: [{
            title: 'Качество',
            description: 'Это такая определенность, которая берется изолированно, сама по себе.'
        }, {
            title: 'Оно есть',
            description: `Качество есть, значит оно наличное бытие. Но качество было оторвано от другого бытия, взято отдельно. Поэтому качество должно быть рассмотрено и как бытие, и как ничто.`
        }, {
            title: 'Качество, как бытие',
            description: `Качество, взятое как бытие в противоположность ничто, называется <strong>реальность</strong>.`
        }, {
            title: 'Качество, как ничто',
            description: `Качество, взятое как ничто в противоположность бытию, называется <strong>отрицание</strong>.`
        }, {
            title: 'Снятие',
            description: `Реальность есть, значит она наличное бытие. И отрицание есть, значит оно тоже наличное бытие. Две стороны одной определённости, взятой отдельно от бытия. Качество снимается в борьбе реальности и отрицания. Нет больше определённости отдельной от наличного бытия.`,
            actions: [{name: 'Определённое наличное бытие', value: 'Something'}]
        }
        ]
    })
    .value('Something', {
        id: 'Something',
        name: 'Нечто',
        words: ['нечто', 'сущее', 'иное', 'в-себе', 'для-иного'],
        subs: ['Налично сущее', 'Иное', 'Бытие-в-себе', 'Бытие-для-иного'],
        facts: [{
            title: 'Определённое наличное бытие',
            description: `Наличное бытие взятое со своей определённостью называется <strong>налично сущее</strong> или <strong>нечто</strong>. Такое бытие непосредственно доступно уму, нечто одновременно описывает что оно и какое оно. Что? Налично сущее. Какое? Налично сущее.`
        }, {
            title: `Нечто`,
            description: `Нечто есть, значит это определённое наличное бытие. Нечто должно быть взято
как становление. В-себе становление, но уже определённого наличного бытия, то есть нечто. Два нечто противоположных друг другу.`
        }, {
            title: 'Иное',
            description: `Нечто, которое противоположность другому нечто есть <strong>иное</strong>. Нечто и иное — это два нечто. Иное для нечто, это иное. И иное для себя тоже иное. <strong>Иное иного есть иное</strong>. А нечто для иного это нечто. Возникают два момента.`
        }, {
            title: 'Моменты',
            description: `Имеем нечто равное себе и одновременно неравное себе. Момент равенства с собой называется <strong>в-себе-бытие</strong>. Момент неравенства с собой называется <strong>бытие-для-иного</strong>.`,
            actions: [{name: 'Изменяющееся нечто', value: 'FluentSomething'}]
        }]
    })
    .value("FluentSomething", {
        id: "FluentSomething",
        name: 'Изменяющееся нечто',
        words: ['нечто', 'изменяется', 'равно', 'неравно', 'себе'],
        subs: ['Абстракция', 'Бытие-в-нём'],
        facts: [{
            title: 'Изменяющееся нечто',
            description: `Это такое <strong>нечто</strong>, которое есть единство <strong>бытия-в-себе</strong> и <strong>бытия-для-иного</strong>, то есть единство равенства с собой и неравенства с собой. Надо различать между тем, что есть в себе, и тем, что положено (для иного).`
        }, {
            title: 'Абстракция',
            description: `Если нечто <strong>не изменяется</strong>, то это <strong>абстракция</strong>, отрывание одной стороны противоречия от другой и искусственное превращение этой стороны в некое самостоятельное целое.`
        }, {
            title: 'Моменты',
            description: `Бытие-в-себе и бытие-для-иного присутствуют в изменяющемся нечто. Значит в каждом из них есть моменты перехода к противоположности. В-себе-бытие содержит бытие-для-иного, противостоит ему и наоборот.`
        }, {
            title: '&laquo;В&raquo;',
            description: `Такое в-себе-бытие, которое противостоит во в-себе-бытии бытию-для-иного или утверждает в бытии-для-иного бытие-в-себе называется <strong>в-нем-бытие</strong> или просто &laquo;в&raquo;.<br/>Если вспомнить, что нечто это определённое наличное бытие, можем рассмотреть момент &laquo;в&raquo; оперделённости.`,
            actions: [{name: 'Определение', value: 'Definition'}]
        }]
    })
    .value('Definition', {
        id: 'Definition',
        name: 'Определение',
        words: ['определение', 'качество', 'сохраняется', 'в изменении', 'характер'],
        subs: ['Качество', 'Характер', 'Инобытие'],
        facts: [{
            title: 'Качество',
            description: 'Берем качество, которое: <ul><li>бытие-в-себе в простом нечто</li><li>остается равным себе в изменяющемся нечто</li><li>противостоит бытию-для-иного во в-себе-бытии</li><li>находится в единстве с бытием-для-иного</li></ul>То есть это качество противится переходу в иное, сохраняет и удерживает себя в изменении.'
        }, {
            title: 'Определение',
            description: `Это качество, которое есть в себе в простом нечто и находится в единстве с другим моментом этого нечто – с в-нем-бытием.`
        }, {
            title: 'Характер',
            description: `Если брать качество, которое бытие-для-иного в простом нечто, и сохраняется в изменении, то такая определенность, называется характером.. То есть, это внутренняя определенность, проявляющаяся вовне.`
        }, {
            title: 'Переход',
            description: `Определение есть, значит это определённое наличное бытие, нечто. Характер тоже есть, значит это нечто. Два нечто, одно выступает как определение, а другое как характер, и они в единстве. `
        }, {
            title: 'Качественное инобытие',
            description: `Два нечто переходят вдруг в друга, при этом качественно они иные, одна и та же
определенность, соединяет и разделяет два нечто, это называется <strong>граница</strong>. <br/>Теперь нечто не в-себе-становление, а положено как становление. Определение переходит в характер, характер переходит в определение.`,
            actions: [{name: 'Граница', value: 'Limit'}]
        }]
    })
    .value('Limit', {
        id: 'Limit',
        name: 'Граница',
        words: ['граница', 'предел', 'бесконечность', 'конечное'],
        subs: ['Конечное', 'Долженствование', 'Предел', 'Бесконечность'],
        facts: [{
            title: 'Граница',
            description: `Одна и та же определенность, которая соединяет и разделяет два нечто, есть граница. Благодаря своей определенности, то есть границе, нечто есть. В то же время нечто нет благодаря его границе, оно прекращается благодаря своей границе и выходит к иному.`
        }, {
            title: 'Конечное',
            description: `Нечто, взятое со своей границей, определяется как конечное.`
        }, {
            title: 'Долженствование',
            description: `Благодаря своей границе нечто становится тем, что оно не есть. Такой момент нечто, который состоит в том, чтобы быть
тем, что нечто не есть, называется долженствованием.`
        }, {
            title: 'Предел',
            description: `Предел — это граница, которую переступают, переходят. Если нечто
со своей границей (конечное) вышло за предел, то оно стало иное, также взятое со своей границей, то
есть иное конечное. И так до бесконечности.`
        }, {
            title: 'Бесконечность',
            description: `Бесконечный переход одного конечного в другое конечное называется дурной бесконечностью. Истинное бесконечное – это
единство бесконечного и конечного как бесконечное, определенностью, моментом которого является конечное. Такое конечное, которое в бесконечном, носит название <strong>идеального</strong>.`,
            actions: [{name: 'Количество', value: 'Quantity'}]
        }]
    })
    .value('Quantity', {
        id: 'Quantity',
        name: 'Количество',
        words: ['количество', 'мера', 'скачок', 'качество'],
        subs: ['Мера', 'Скачок', 'Узлы'],
        facts: [{
            title: 'Количество',
            description: `Такая определенность, которая есть <strong>безразличная</strong> граница называется <strong>количество</strong>. То есть при переходе границы меняется определенность, а качество остается. Количество меняется непрерывно, постепенно.`
        }, {
            title: 'Мера',
            description: `Такое количество определенного качества, при котором это качество еще сохраняется — это мера.`
        }, {
            title: 'Скачок',
            description: `Переход одного качества в другое качество при накоплении количественных изменений, которые сами по себе вроде
бы никакого качества не меняют, называется <strong>скачок</strong>, то есть перерыв постепенности.`
        }, {
            title: 'Узлы',
            description: `Развитие качества, количественное развитие, скачок, развитие другого качества, скачок, развитие третьего качества и т.д образуют <strong>узловую линию отношений меры</strong>.`,
            actions: [{name: 'Развитие', value: 'Progress'}]
        }]
    })
    .value('Progress', {
        id: 'Progress',
        name: 'Развитие',
        words: ['развитие', 'изменение'],
        subs: ['Изменение', 'Прогресс', 'Регресс'],
        facts: [{
            title: 'Изменение',
            description: 'Всё находится в процессе становления и изменения. При этом всякое развитие есть изменение, но не всякое изменение есть развитие.'
        }, {
            title: 'Развитие',
            description: `Развитие – это такое изменение, которое есть движение простого к сложному, низшего к высшему. Развитие совершается через борьбу противоположностей, через борьбу противоположных тенденций во всём, высшее прокладывает себе дорогу через борьбу с низшим, но низшее не пассивно сдает свои позиции, а противостоит высшему, активно борется с ним.`
        }, {
            title: 'Прогресс',
            description: 'Это движение в развитии, которое совпадает с направлением развития.'
        }, {
            title: 'Регресс',
            description: 'Это движение в развитии, противоположное развитию.'
        }]
    });
